# This Makefile.PL for Hailo was generated by
# inc::HailoMakeMaker <self>
# and Dist::Zilla::Plugin::MakeMaker::Awesome 0.47.
# Don't edit it but the dist.ini and plugins used to construct it.

use strict;
use warnings;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "A pluggable Markov engine analogous to MegaHAL",
  "AUTHOR" => "Hinrik \x{d6}rn Sigur\x{f0}sson <hinrik.sig\@gmail.com>, \x{c6}var Arnfj\x{f6}r\x{f0} Bjarmason <avar\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Hailo",
  "EXE_FILES" => [
    "bin/hailo"
  ],
  "LICENSE" => "perl",
  "NAME" => "Hailo",
  "PREREQ_PM" => {
    "Class::Load" => "0.25",
    "DBD::SQLite" => "1.58",
    "Data::Dump" => "1.23",
    "Dir::Self" => "0.11",
    "File::CountLines" => "v0.0.3",
    "File::Spec::Functions" => 0,
    "Getopt::Long::Descriptive" => "0.103",
    "IO::Interactive" => "1.022",
    "IPC::System::Simple" => "1.25",
    "List::MoreUtils" => "0.416",
    "Moose" => "2.2011",
    "MooseX::Getopt" => "0.74",
    "MooseX::StrictConstructor" => "0.21",
    "Regexp::Common" => "2017060201",
    "Term::ReadLine" => "1.17",
    "Term::Sk" => "0.18",
    "Time::HiRes" => 0,
    "autodie" => "2.29",
    "namespace::clean" => "0.27"
  },
  "TEST_REQUIRES" => {
    "Bot::Training" => "0.06",
    "Bot::Training::MegaHAL" => "0.03",
    "Bot::Training::StarCraft" => "0.03",
    "Data::Section" => "0.200007",
    "File::Slurp" => "9999.23",
    "Test::Exception" => "0.43",
    "Test::Expect" => "0.34",
    "Test::More" => "1.302133",
    "Test::Output" => "1.031",
    "Test::Script" => "1.25",
    "Test::Script::Run" => "0.08",
    "Test::Synopsis" => "0.15"
  },
  "VERSION" => "0.73",
  "test" => {
    "TESTS" => "t/*.t t/command/*.t t/command/ui/*.t t/hailo/*.t t/hailo/methods/*.t t/storage/*.t t/storage/001_meta/*.t t/storage/SQLite/*.t t/storage/SQLite/memory/*.t t/tokenizer/*.t t/tokenizer/Words/*.t t/ui/*.t"
  }
);

my %FallbackPrereqs = (
  "Bot::Training" => "0.06",
  "Bot::Training::MegaHAL" => "0.03",
  "Bot::Training::StarCraft" => "0.03",
  "Class::Load" => "0.25",
  "DBD::SQLite" => "1.58",
  "Data::Dump" => "1.23",
  "Data::Section" => "0.200007",
  "Dir::Self" => "0.11",
  "File::CountLines" => "0.0.3",
  "File::Slurp" => "9999.23",
  "File::Spec::Functions" => 0,
  "Getopt::Long::Descriptive" => "0.103",
  "IO::Interactive" => "1.022",
  "IPC::System::Simple" => "1.25",
  "List::MoreUtils" => "0.416",
  "Moose" => "2.2011",
  "MooseX::Getopt" => "0.74",
  "MooseX::StrictConstructor" => "0.21",
  "Regexp::Common" => "2017060201",
  "Term::ReadLine" => "1.17",
  "Term::Sk" => "0.18",
  "Test::Exception" => "0.43",
  "Test::Expect" => "0.34",
  "Test::More" => "1.302133",
  "Test::Output" => "1.031",
  "Test::Script" => "1.25",
  "Test::Script::Run" => "0.08",
  "Test::Synopsis" => "0.15",
  "Time::HiRes" => 0,
  "autodie" => "2.29",
  "namespace::clean" => "0.27"
);

unless ( eval { ExtUtils::MakeMaker->VERSION('6.63_03') } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);

package MY;

sub test {
    my $inherited = shift->SUPER::test(@_);

    # This trickery fails with Windows's dmake, see
    # http://www.cpantesters.org/cpan/report/07242729-b19f-3f77-b713-d32bba55d77f
    unless ($^O eq 'MSWin32') {
        # Run tests with Moose and Mouse
        $inherited =~ s/^test_dynamic :: pure_all\n\t(.*?)\n/test_dynamic :: pure_all\n\tANY_MOOSE=Mouse $1\n\tANY_MOOSE=Moose $1\n/m;
    }

    return $inherited;
}
